Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8139 - XMMS hogs memory, especially after a couple of hours
Summary: XMMS hogs memory, especially after a couple of hours
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xmms
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-03 14:01 UTC by Neal Pitts
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-05 06:09:25 UTC


Attachments (Terms of Use)

Description Neal Pitts 2000-01-03 14:01:26 UTC
XMMS seems to have memory usage problems.  It hogs a lot of memory quickly,
and if left running about two to three hours, will begin to execute of out
of the swap area, making whatever music you're playing sound like garbage
and driving the load up on your system.  A killall xmms quickly fixes this
issue.

The latest version in the XMMS CVS tree (0.9.5.1?) fixes this problem.  It
also adds CDDB support, but I have yet to get that to work.

Comment 1 Bill Nottingham 2000-01-03 16:02:59 UTC
Do the xmms-0.9.5.1 RPMs in Raw Hide work for you?

Comment 2 Neal Pitts 2000-01-03 16:59:59 UTC
I uninstalled my current RPMs and installed the RawHide ones.  CDDB still isn't
working (in fact, I'm missing some CDDB options config options compared to the
CVS build), but it could be that I don't know how I'm supposed to be using it.
Have any instructions?

Comment 3 Neal Pitts 2000-01-03 17:00:59 UTC
I'll keep XMMS running while I'm at work and post an update tonight.

Comment 4 Bill Nottingham 2000-02-05 06:09:59 UTC
Assumming fixed with current xmms; please re-open if it persists.


Note You need to log in before you can comment on or make changes to this bug.